<div>
  @if (isExploratory(executionPageComponentData.execution.executionMode)) {
    <div class="m-l-10 m-t-5 m-b-15">
      <sqtm-core-editable-check-box
        #reviewCheckBox
        (confirmEvent)="updateReviewStatus($event)"
        [editable]="canEdit(executionPageComponentData)"
        [sqtmCoreEntityViewEditableCheckbox]="'reviewed'"
      >
      </sqtm-core-editable-check-box>
      <label class="txt-ellipsis m-l-5">
        {{
          'sqtm-core.campaign-workspace.exploratory-session-overview.capsule.review-status.status.done'
            | translate
        }}
      </label>
    </div>
  }

  <sqtm-core-editable-rich-text
    #comment
    [size]="'small'"
    [border]="true"
    [focus]="true"
    [attr.data-test-field-id]="'execution-comment'"
    [sqtmCoreGenericViewEditableRichTextField]="'comment'"
    (confirmEvent)="updateComment($event)"
    [editable]="canEdit(executionPageComponentData)"
    [placeholder]="
      getPlaceholder(executionPageComponentData.execution.executionMode)
        | translate
    "
  >
  </sqtm-core-editable-rich-text>
</div>
